Inventories
Inventories and their synchronisation.
22 endpoints · Plakar Control Plane v0.19 · Base URL, authentication and errors
List the inventories
/api/v1/account/organizations/{id}/inventories
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s.
Query parameters
-
offsetintegerNumber of items to skip.Default: 0 -
limitintegerMaximum number of items to return.Default: 50 Min: 1 Max: 50 -
searchstringFree-text search on inventories. -
typestringOnly inventories of this type, such as aws or self-managed.
Response 200 OK application/json
-
itemsarray[object]-
countinteger -
coverageobject-
excludedinteger -
protectedinteger -
unprotectedinteger
-
-
edge_pool_idstring<uuid> -
idstring<uuid> -
last_updatestring<date-time> -
namestring -
residencystring nullable -
summariesarray[object]-
classstring -
countinteger -
namestring
-
-
sync_periodinteger -
typestring
-
-
totalinteger
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/account/organizations/{id}/inventories' \
-H 'Authorization: Bearer <badge>'Response 200
{
"items": [
{
"count": 0,
"coverage": {
"excluded": 0,
"protected": 0,
"unprotected": 0
},
"edge_pool_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"last_update": "2026-01-01T00:00:00Z",
"name": "string",
"residency": "string",
"summaries": [
{
"class": "string",
"count": 0,
"name": "string"
}
],
"sync_period": 0,
"type": "string"
}
],
"total": 0
}Create an inventory
/api/v1/account/organizations/{id}/inventories
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s.
Request body application/json required
-
aws_configurationobject-
access_keyobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
credentials_typestring -
regionstring -
secret_access_keyobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
gcp_configurationobject-
gcp_project_idobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
gcp_service_account_jsonobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
k8s_configurationobject-
k8s_filter_namespacesstring -
k8s_kubeconfobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
namestring -
openshift_configurationobject-
openshift_filter_namespacesstring -
openshift_kubeconfobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
openstack_configurationobject-
openstack_application_credential_idobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
openstack_application_credential_secretobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
openstack_auth_urlstring -
openstack_domain_namestring -
openstack_passwordobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
openstack_project_idstring -
openstack_project_namestring -
openstack_regionstring -
openstack_usernameobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
ovh_configurationobject-
application_keyobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
application_secretobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
consumer_keyobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
endpointstring
-
-
scaleway_configurationobject-
scw_access_keyobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
scw_project_idobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
scw_secret_keyobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
typestring required -
vmware_configurationobject-
vsphere_passwordobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
vsphere_serverobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
vsphere_tls_ca_bundleobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
vsphere_tls_skip_verifystring -
vsphere_usernameobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
Response 200 OK application/json
-
created_atstring<date-time> -
idstring<uuid> -
namestring
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X POST 'https://pcp.example.com/api/v1/account/organizations/{id}/inventories' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"aws_configuration": {
"access_key": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"credentials_type": "string",
"region": "string",
"secret_access_key": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"gcp_configuration": {
"gcp_project_id": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"gcp_service_account_json": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"k8s_configuration": {
"k8s_filter_namespaces": "string",
"k8s_kubeconf": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"name": "string",
"openshift_configuration": {
"openshift_filter_namespaces": "string",
"openshift_kubeconf": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"openstack_configuration": {
"openstack_application_credential_id": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"openstack_application_credential_secret": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"openstack_auth_url": "string",
"openstack_domain_name": "string",
"openstack_password": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"openstack_project_id": "string",
"openstack_project_name": "string",
"openstack_region": "string",
"openstack_username": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"ovh_configuration": {
"application_key": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"application_secret": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"consumer_key": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"endpoint": "string"
},
"scaleway_configuration": {
"scw_access_key": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"scw_project_id": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"scw_secret_key": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"type": "string",
"vmware_configuration": {
"vsphere_password": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"vsphere_server": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"vsphere_tls_ca_bundle": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"vsphere_tls_skip_verify": "string",
"vsphere_username": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
}
}'Response 200
{
"created_at": "2026-01-01T00:00:00Z",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string"
}Create an AWS inventory
/api/v1/account/organizations/{id}/inventories/aws
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s.
Request body application/json required
-
aws_configurationobject-
access_keyobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
credentials_typestring -
regionstring -
secret_access_keyobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
namestring
Response 200 OK application/json
-
created_atstring<date-time> -
idstring<uuid> -
namestring
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X POST 'https://pcp.example.com/api/v1/account/organizations/{id}/inventories/aws' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"aws_configuration": {
"access_key": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"credentials_type": "string",
"region": "string",
"secret_access_key": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"name": "string"
}'Response 200
{
"created_at": "2026-01-01T00:00:00Z",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string"
}Create a GCP inventory
/api/v1/account/organizations/{id}/inventories/gcp
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s.
Request body application/json required
-
gcp_configurationobject-
gcp_project_idobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
gcp_service_account_jsonobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
namestring
Response 200 OK application/json
-
created_atstring<date-time> -
idstring<uuid> -
namestring
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X POST 'https://pcp.example.com/api/v1/account/organizations/{id}/inventories/gcp' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"gcp_configuration": {
"gcp_project_id": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"gcp_service_account_json": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"name": "string"
}'Response 200
{
"created_at": "2026-01-01T00:00:00Z",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string"
}Create a Kubernetes inventory
/api/v1/account/organizations/{id}/inventories/k8s
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s.
Request body application/json required
-
k8s_configurationobject-
k8s_filter_namespacesstring -
k8s_kubeconfobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
namestring
Response 200 OK application/json
-
created_atstring<date-time> -
idstring<uuid> -
namestring
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X POST 'https://pcp.example.com/api/v1/account/organizations/{id}/inventories/k8s' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"k8s_configuration": {
"k8s_filter_namespaces": "string",
"k8s_kubeconf": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"name": "string"
}'Response 200
{
"created_at": "2026-01-01T00:00:00Z",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string"
}Create an OpenShift inventory
/api/v1/account/organizations/{id}/inventories/openshift
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s.
Request body application/json required
-
namestring -
openshift_configurationobject-
openshift_filter_namespacesstring -
openshift_kubeconfobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
Response 200 OK application/json
-
created_atstring<date-time> -
idstring<uuid> -
namestring
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X POST 'https://pcp.example.com/api/v1/account/organizations/{id}/inventories/openshift' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"name": "string",
"openshift_configuration": {
"openshift_filter_namespaces": "string",
"openshift_kubeconf": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
}
}'Response 200
{
"created_at": "2026-01-01T00:00:00Z",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string"
}Create an OpenStack inventory
/api/v1/account/organizations/{id}/inventories/openstack
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s.
Request body application/json required
-
namestring -
openstack_configurationobject-
openstack_application_credential_idobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
openstack_application_credential_secretobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
openstack_auth_urlstring -
openstack_domain_namestring -
openstack_passwordobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
openstack_project_idstring -
openstack_project_namestring -
openstack_regionstring -
openstack_usernameobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
Response 200 OK application/json
-
created_atstring<date-time> -
idstring<uuid> -
namestring
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X POST 'https://pcp.example.com/api/v1/account/organizations/{id}/inventories/openstack' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"name": "string",
"openstack_configuration": {
"openstack_application_credential_id": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"openstack_application_credential_secret": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"openstack_auth_url": "string",
"openstack_domain_name": "string",
"openstack_password": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"openstack_project_id": "string",
"openstack_project_name": "string",
"openstack_region": "string",
"openstack_username": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
}
}'Response 200
{
"created_at": "2026-01-01T00:00:00Z",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string"
}Create an OVH inventory
/api/v1/account/organizations/{id}/inventories/ovh
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s.
Request body application/json required
-
namestring -
ovh_configurationobject-
application_keyobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
application_secretobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
consumer_keyobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
endpointstring
-
Response 200 OK application/json
-
created_atstring<date-time> -
idstring<uuid> -
namestring
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X POST 'https://pcp.example.com/api/v1/account/organizations/{id}/inventories/ovh' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"name": "string",
"ovh_configuration": {
"application_key": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"application_secret": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"consumer_key": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"endpoint": "string"
}
}'Response 200
{
"created_at": "2026-01-01T00:00:00Z",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string"
}Create a Scaleway inventory
/api/v1/account/organizations/{id}/inventories/scaleway
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s.
Request body application/json required
-
namestring -
scaleway_configurationobject-
scw_access_keyobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
scw_project_idobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
scw_secret_keyobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
Response 200 OK application/json
-
created_atstring<date-time> -
idstring<uuid> -
namestring
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X POST 'https://pcp.example.com/api/v1/account/organizations/{id}/inventories/scaleway' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"name": "string",
"scaleway_configuration": {
"scw_access_key": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"scw_project_id": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"scw_secret_key": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
}
}'Response 200
{
"created_at": "2026-01-01T00:00:00Z",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string"
}Create a self-managed inventory
/api/v1/account/organizations/{id}/inventories/self-managed
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s.
Request body application/json required
-
namestring
Response 200 OK application/json
-
created_atstring<date-time> -
idstring<uuid> -
namestring
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X POST 'https://pcp.example.com/api/v1/account/organizations/{id}/inventories/self-managed' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"name": "string"
}'Response 200
{
"created_at": "2026-01-01T00:00:00Z",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string"
}Create a VMware inventory
/api/v1/account/organizations/{id}/inventories/vmware
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s.
Request body application/json required
-
namestring -
vmware_configurationobject-
vsphere_passwordobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
vsphere_serverobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
vsphere_tls_ca_bundleobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
vsphere_tls_skip_verifystring -
vsphere_usernameobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
Response 200 OK application/json
-
created_atstring<date-time> -
idstring<uuid> -
namestring
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X POST 'https://pcp.example.com/api/v1/account/organizations/{id}/inventories/vmware' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"name": "string",
"vmware_configuration": {
"vsphere_password": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"vsphere_server": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"vsphere_tls_ca_bundle": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"vsphere_tls_skip_verify": "string",
"vsphere_username": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
}
}'Response 200
{
"created_at": "2026-01-01T00:00:00Z",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string"
}Get the backup coverage of the inventories
/api/v1/inventories/coverage
Query parameters
-
organization_idstring<uuid>Organization to act on, at or below the caller’s. Defaults to the caller’s.
Response 200 OK application/json
-
excludedinteger -
protectedinteger -
unprotectedinteger
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/inventories/coverage' \
-H 'Authorization: Bearer <badge>'Response 200
{
"excluded": 0,
"protected": 0,
"unprotected": 0
}Get an inventory
/api/v1/inventories/{inventory_id}
Path parameters
-
inventory_idstring required
Query parameters
-
organization_idstring<uuid>Organization to act on, at or below the caller’s. Defaults to the caller’s.
Response 200 OK application/json
-
accessobject-
can_authorboolean -
can_deleteboolean -
can_executeboolean -
can_viewboolean
-
-
aws_configurationobject-
access_keyobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
credentials_typestring -
regionstring -
secret_access_keyobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
coverageobject-
excludedinteger -
protectedinteger -
unprotectedinteger
-
-
edge_pool_idstring<uuid> -
gcp_configurationobject-
gcp_project_idobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
gcp_service_account_jsonobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
idstring<uuid> -
k8s_configurationobject-
k8s_filter_namespacesstring -
k8s_kubeconfobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
last_updatestring<date-time> -
namestring -
openshift_configurationobject-
openshift_filter_namespacesstring -
openshift_kubeconfobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
openstack_configurationobject-
openstack_application_credential_idobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
openstack_application_credential_secretobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
openstack_auth_urlstring -
openstack_domain_namestring -
openstack_passwordobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
openstack_project_idstring -
openstack_project_namestring -
openstack_regionstring -
openstack_usernameobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
ovh_configurationobject-
application_keyobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
application_secretobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
consumer_keyobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
endpointstring
-
-
residencystring nullable -
scaleway_configurationobject-
scw_access_keyobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
scw_project_idobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
scw_secret_keyobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
summariesarray[object]-
classstring -
countinteger -
namestring
-
-
sync_periodinteger -
typestring -
vmware_configurationobject-
vsphere_passwordobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
vsphere_serverobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
vsphere_tls_ca_bundleobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
vsphere_tls_skip_verifystring -
vsphere_usernameobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/inventories/{inventory_id}' \
-H 'Authorization: Bearer <badge>'Response 200
{
"access": {
"can_author": true,
"can_delete": true,
"can_execute": true,
"can_view": true
},
"aws_configuration": {
"access_key": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"credentials_type": "string",
"region": "string",
"secret_access_key": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"coverage": {
"excluded": 0,
"protected": 0,
"unprotected": 0
},
"edge_pool_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"gcp_configuration": {
"gcp_project_id": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"gcp_service_account_json": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"k8s_configuration": {
"k8s_filter_namespaces": "string",
"k8s_kubeconf": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"last_update": "2026-01-01T00:00:00Z",
"name": "string",
"openshift_configuration": {
"openshift_filter_namespaces": "string",
"openshift_kubeconf": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"openstack_configuration": {
"openstack_application_credential_id": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"openstack_application_credential_secret": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"openstack_auth_url": "string",
"openstack_domain_name": "string",
"openstack_password": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"openstack_project_id": "string",
"openstack_project_name": "string",
"openstack_region": "string",
"openstack_username": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"ovh_configuration": {
"application_key": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"application_secret": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"consumer_key": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"endpoint": "string"
},
"residency": "string",
"scaleway_configuration": {
"scw_access_key": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"scw_project_id": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"scw_secret_key": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"summaries": [
{
"class": "string",
"count": 0,
"name": "string"
}
],
"sync_period": 0,
"type": "string",
"vmware_configuration": {
"vsphere_password": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"vsphere_server": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"vsphere_tls_ca_bundle": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"vsphere_tls_skip_verify": "string",
"vsphere_username": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
}
}Update an inventory
/api/v1/inventories/{inventory_id}
Path parameters
-
inventory_idstring required
Query parameters
-
organization_idstring<uuid>Organization to act on, at or below the caller’s. Defaults to the caller’s.
Request body application/json required
-
aws_configurationobject-
access_keyobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
credentials_typestring -
regionstring -
secret_access_keyobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
gcp_configurationobject-
gcp_project_idobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
gcp_service_account_jsonobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
k8s_configurationobject-
k8s_filter_namespacesstring -
k8s_kubeconfobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
namestring -
openshift_configurationobject-
openshift_filter_namespacesstring -
openshift_kubeconfobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
openstack_configurationobject-
openstack_application_credential_idobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
openstack_application_credential_secretobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
openstack_auth_urlstring -
openstack_domain_namestring -
openstack_passwordobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
openstack_project_idstring -
openstack_project_namestring -
openstack_regionstring -
openstack_usernameobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
ovh_configurationobject-
application_keyobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
application_secretobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
consumer_keyobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
endpointstring
-
-
scaleway_configurationobject-
scw_access_keyobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
scw_project_idobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
scw_secret_keyobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
typestring -
vmware_configurationobject-
vsphere_passwordobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
vsphere_serverobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
vsphere_tls_ca_bundleobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
vsphere_tls_skip_verifystring -
vsphere_usernameobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
Response 200 OK application/json
-
accessobject-
can_authorboolean -
can_deleteboolean -
can_executeboolean -
can_viewboolean
-
-
aws_configurationobject-
access_keyobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
credentials_typestring -
regionstring -
secret_access_keyobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
coverageobject-
excludedinteger -
protectedinteger -
unprotectedinteger
-
-
edge_pool_idstring<uuid> -
gcp_configurationobject-
gcp_project_idobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
gcp_service_account_jsonobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
idstring<uuid> -
k8s_configurationobject-
k8s_filter_namespacesstring -
k8s_kubeconfobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
last_updatestring<date-time> -
namestring -
openshift_configurationobject-
openshift_filter_namespacesstring -
openshift_kubeconfobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
openstack_configurationobject-
openstack_application_credential_idobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
openstack_application_credential_secretobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
openstack_auth_urlstring -
openstack_domain_namestring -
openstack_passwordobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
openstack_project_idstring -
openstack_project_namestring -
openstack_regionstring -
openstack_usernameobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
ovh_configurationobject-
application_keyobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
application_secretobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
consumer_keyobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
endpointstring
-
-
residencystring nullable -
scaleway_configurationobject-
scw_access_keyobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
scw_project_idobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
scw_secret_keyobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
summariesarray[object]-
classstring -
countinteger -
namestring
-
-
sync_periodinteger -
typestring -
vmware_configurationobject-
vsphere_passwordobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
vsphere_serverobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
vsphere_tls_ca_bundleobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
vsphere_tls_skip_verifystring -
vsphere_usernameobject-
filteredboolean nullable -
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X POST 'https://pcp.example.com/api/v1/inventories/{inventory_id}' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"aws_configuration": {
"access_key": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"credentials_type": "string",
"region": "string",
"secret_access_key": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"gcp_configuration": {
"gcp_project_id": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"gcp_service_account_json": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"k8s_configuration": {
"k8s_filter_namespaces": "string",
"k8s_kubeconf": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"name": "string",
"openshift_configuration": {
"openshift_filter_namespaces": "string",
"openshift_kubeconf": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"openstack_configuration": {
"openstack_application_credential_id": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"openstack_application_credential_secret": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"openstack_auth_url": "string",
"openstack_domain_name": "string",
"openstack_password": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"openstack_project_id": "string",
"openstack_project_name": "string",
"openstack_region": "string",
"openstack_username": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"ovh_configuration": {
"application_key": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"application_secret": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"consumer_key": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"endpoint": "string"
},
"scaleway_configuration": {
"scw_access_key": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"scw_project_id": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"scw_secret_key": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"type": "string",
"vmware_configuration": {
"vsphere_password": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"vsphere_server": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"vsphere_tls_ca_bundle": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"vsphere_tls_skip_verify": "string",
"vsphere_username": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
}
}'Response 200
{
"access": {
"can_author": true,
"can_delete": true,
"can_execute": true,
"can_view": true
},
"aws_configuration": {
"access_key": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"credentials_type": "string",
"region": "string",
"secret_access_key": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"coverage": {
"excluded": 0,
"protected": 0,
"unprotected": 0
},
"edge_pool_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"gcp_configuration": {
"gcp_project_id": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"gcp_service_account_json": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"k8s_configuration": {
"k8s_filter_namespaces": "string",
"k8s_kubeconf": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"last_update": "2026-01-01T00:00:00Z",
"name": "string",
"openshift_configuration": {
"openshift_filter_namespaces": "string",
"openshift_kubeconf": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"openstack_configuration": {
"openstack_application_credential_id": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"openstack_application_credential_secret": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"openstack_auth_url": "string",
"openstack_domain_name": "string",
"openstack_password": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"openstack_project_id": "string",
"openstack_project_name": "string",
"openstack_region": "string",
"openstack_username": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"ovh_configuration": {
"application_key": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"application_secret": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"consumer_key": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"endpoint": "string"
},
"residency": "string",
"scaleway_configuration": {
"scw_access_key": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"scw_project_id": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"scw_secret_key": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"summaries": [
{
"class": "string",
"count": 0,
"name": "string"
}
],
"sync_period": 0,
"type": "string",
"vmware_configuration": {
"vsphere_password": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"vsphere_server": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"vsphere_tls_ca_bundle": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"vsphere_tls_skip_verify": "string",
"vsphere_username": {
"filtered": true,
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
}
}Delete an inventory
/api/v1/inventories/{inventory_id}
Path parameters
-
inventory_idstring required
Query parameters
-
organization_idstring<uuid>Organization to act on, at or below the caller’s. Defaults to the caller’s.
Response 200 OK application/json
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X DELETE 'https://pcp.example.com/api/v1/inventories/{inventory_id}' \
-H 'Authorization: Bearer <badge>'Response 200
{}List what the caller may do on an inventory
/api/v1/inventories/{inventory_id}/capabilities
Path parameters
-
inventory_idstring required
Query parameters
-
organization_idstring<uuid>Organization to act on, at or below the caller’s. Defaults to the caller’s.
Response 200 OK application/json
-
actionsarray[string] -
idstring<uuid> -
resourcestring
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/inventories/{inventory_id}/capabilities' \
-H 'Authorization: Bearer <badge>'Response 200
{
"actions": [
"string"
],
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"resource": "string"
}List the resource classes
/api/v1/inventories/{inventory_id}/classes
This endpoint is deprecated.
Path parameters
-
inventory_idstring required
Response 200 OK application/json
-
classesmap[array[string]]
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/inventories/{inventory_id}/classes' \
-H 'Authorization: Bearer <badge>'Response 200
{
"classes": {
"key": [
"string"
]
}
}Set the edge pool of an inventory
/api/v1/inventories/{inventory_id}/edge-pool
Path parameters
-
inventory_idstring required
Query parameters
-
organization_idstring<uuid>Organization to act on, at or below the caller’s. Defaults to the caller’s.
Request body application/json required
-
edge_pool_idstring<uuid>
Response 200 OK application/json
-
edge_pool_idstring<uuid>
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X PATCH 'https://pcp.example.com/api/v1/inventories/{inventory_id}/edge-pool' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"edge_pool_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
}'Response 200
{
"edge_pool_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
}Set the residency of an inventory
/api/v1/inventories/{inventory_id}/residency
Path parameters
-
inventory_idstring required
Query parameters
-
organization_idstring<uuid>Organization to act on, at or below the caller’s. Defaults to the caller’s.
Request body application/json required
-
residencystring
Response 200 OK application/json
-
residencystring
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X PATCH 'https://pcp.example.com/api/v1/inventories/{inventory_id}/residency' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"residency": "string"
}'Response 200
{
"residency": "string"
}Reveal an inventory's sensitive values
/api/v1/inventories/{inventory_id}/secrets
Path parameters
-
inventory_idstring required
Query parameters
-
organization_idstring<uuid>Organization to act on, at or below the caller’s. Defaults to the caller’s.
Response 200 OK application/json
-
valuesmap[any]
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/inventories/{inventory_id}/secrets' \
-H 'Authorization: Bearer <badge>'Response 200
{
"values": {
"key": {}
}
}Synchronise an inventory
/api/v1/inventories/{inventory_id}/sync
Path parameters
-
inventory_idstring required
Query parameters
-
organization_idstring<uuid>Organization to act on, at or below the caller’s. Defaults to the caller’s.
Response 200 OK application/json
-
errorstring nullable -
new_appsinteger -
new_resourcesinteger -
okboolean
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/inventories/{inventory_id}/sync' \
-H 'Authorization: Bearer <badge>'Response 200
{
"error": "string",
"new_apps": 0,
"new_resources": 0,
"ok": true
}Set how often an inventory is synchronised
/api/v1/inventories/{inventory_id}/sync-period
Path parameters
-
inventory_idstring required
Query parameters
-
organization_idstring<uuid>Organization to act on, at or below the caller’s. Defaults to the caller’s.
Request body application/json required
-
sync_periodinteger
Response 200 OK application/json
-
sync_periodinteger
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X PATCH 'https://pcp.example.com/api/v1/inventories/{inventory_id}/sync-period' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"sync_period": 0
}'Response 200
{
"sync_period": 0
}